function libisis_start(root_dir)
% libisis_start(root_dir)
% root_dir is the root directory of libisis


ipath=root_dir;
if(isdir(ipath))
    STRING = [ipath '/classes'];
    if(isdir(STRING))
        addpath (STRING);
    end
    STRING = [ipath '/DLL'];
    if(isdir(STRING))
        addpath (STRING);
    end
    STRING = [ipath '/graphics'];
    if(isdir(STRING))
        addpath (STRING);
    end
    STRING = [ipath '/matlab/homer'];
    if(isdir(STRING))
        addpath (STRING);
    end    
    STRING = [ipath '/matlab/homer_gui'];
    if(isdir(STRING))
        addpath (STRING);
    end    
    STRING = [ipath '/matlab/MARI'];
    if(isdir(STRING))
        addpath (STRING);
    end
    STRING = [ipath '/matlab/MAPS'];
    if(isdir(STRING))
        addpath (STRING);
    end
    STRING = [ipath '/matlab/HET'];
    if(isdir(STRING))
        addpath (STRING);
    end
    STRING = [ipath '/matlab/MERLIN'];
    if(isdir(STRING))
        addpath (STRING);
    end

    STRING = [ipath '/matlab/mgeniefuncs'];
    if(isdir(STRING))
        addpath (STRING);
    end
    STRING = [ipath '/matlab/utilities'];
    if(isdir(STRING))
        addpath (STRING);
    end
    STRING = [ipath '/matlab_tests'];
    if(isdir(STRING))
        addpath (STRING);
    end
end
clear;
gtk_init;
